import fuelList from "#components/Ausweis/brennstoffListe.js";

export const getHeizwertfaktor = function(energietraeger: string, einheit: string): {
	coe: number,
	energietraeger: string,
	einheit: string,
	umrechnungsfaktor: number,
	primaerenergiefaktor: number
} {
	for (const fuel of fuelList) {
		if (fuel[0] == energietraeger && fuel[1] == einheit) {
			return {
				coe: fuel[4],
				energietraeger: fuel[0],
				einheit: fuel[1],
				umrechnungsfaktor: fuel[2],
				primaerenergiefaktor: fuel[3]
			};
		}
	}

	return {
		coe: 0,
		energietraeger: "",
		einheit: "",
		umrechnungsfaktor: 0,
		primaerenergiefaktor: 0
	};
}